Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.direct.proximitygenerators
Class GenericProximityGenerator

    java.lang.Object
      rice.pastry.direct.proximitygenerators.GenericProximityGenerator

All Implemented Interfaces:
  ProximityGenerator

    public class GenericProximityGenerator

extends java.lang.Object
implements ProximityGenerator

Nested Class Summary
`class` | `GenericProximityGenerator.GNNodeRecord`

Field Summary
`java.util.HashMap<java.lang.Integer,java.lang.Integer>` | `assignedIndices`
`java.io.File` | `inFile_Matrix`
`static int` | `MAXOVERLAYSIZE` The number of stubs.
`protected RandomSource` | `random`

Constructor Summary
`GenericProximityGenerator(Environment env, java.io.File inFile)`

Method Summary
`NodeRecord` | `generateNodeRecord()`
`void` | `readOverlayMatrix(float delayFactor)`
`void` | `setNodesPerStub(int numPerStub)`
`void` | `setRandom(RandomSource random)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### random

    protected RandomSource random

### MAXOVERLAYSIZE

    public static int MAXOVERLAYSIZE

  The number of stubs.

### assignedIndices

    public java.util.HashMap<java.lang.Integer,java.lang.Integer> assignedIndices

### inFile_Matrix

    public java.io.File inFile_Matrix

Constructor Detail

### GenericProximityGenerator

    public GenericProximityGenerator(Environment env,
                                     java.io.File inFile)
                              throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### generateNodeRecord

    public NodeRecord generateNodeRecord()

  Specified by:
    `generateNodeRecord` in interface `ProximityGenerator`

### setNodesPerStub

    public void setNodesPerStub(int numPerStub)

### readOverlayMatrix

    public void readOverlayMatrix(float delayFactor)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### setRandom

    public void setRandom(RandomSource random)

  Specified by:
    `setRandom` in interface `ProximityGenerator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.